{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/property/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/property/overview') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        {% if buildingUnits|length > 0 %}
            {% if archivedBuildingUnits|length > 0 %}
                <div class="mdc-card p-3 mb-3 text-center">
                    <h3 class="fs-4 mb-0">Aktuelle Objekte</h3>
                </div>
            {% endif %}
            <div class="row g-3 mb-4">
                {% for buildingUnit in buildingUnits %}
                    <div class="col-sm-6 col-md-4 col-lg-4 col-xl-3">
                        {% include 'property_vacancy_management/component/building_unit/building_unit_card_component.html.twig' with {'buildingUnit': buildingUnit, 'person': person} only %}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
        {% if archivedBuildingUnits|length > 0 %}
            <div class="mdc-card p-3 mb-3 text-center">
                <h3 class="fs-4 mb-0">Archivierte Objekte</h3>
            </div>
            <div class="row g-3 mb-4">
                {% for archivedBuildingUnit in archivedBuildingUnits %}
                    <div class="col-sm-6 col-md-4 col-lg-4 col-xl-3">
                        {% include 'property_vacancy_management/component/building_unit/building_unit_card_component.html.twig' with {'buildingUnit': archivedBuildingUnit, 'person': person} only %}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
        {% if buildingUnits|length == 0 and archivedBuildingUnits|length == 0 %}
            <div class="mdc-card px-3 py-4 mb-4 text-center">
                <span>Diese/r Nutzer:in sind derzeit keine Objekte zugeordnet.</span>
            </div>
        {% endif %}
    </div>
{% endblock %}
